import Vue from 'vue'
import Router from 'vue-router'

import HomePage from '@/pages/HomePage'
import LoginPage from '@/pages/LoginPage'
import NotesPage from '@/pages/NotesPage'
import HelpPage from '@/pages/HelpPage'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'HomePage',
      meta: {title:'Home'},
      component: HomePage
    },
    {
      path: '/login',
      name: 'LoginPage',
      meta: {title:'Login'},
      component: LoginPage
    },
    {
      path: '/notes',
      name: 'NotesPage',
      meta: {title:'Notes'},
      component: NotesPage
    },
    {
      path: '/help',
      name: 'Help',
      meta: {title:'Help'},
      component: HelpPage
    },
  ]
})
